using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Marco.Pms.Model.Dtos.Roles
{
    public class CreateApplicationRoleDto
    {
        [Required(ErrorMessage = "Role Name is required!")]
        [DisplayName("Name")]

        public string? Role { get; set; }

        [Required(ErrorMessage = "Role Description is required!")]
        [DisplayName("Description")]

        public string? Description { get; set; }

        public List<FeaturesPermissionDto>? FeaturesPermission { get; set; } // Features assigned to this role
    }
}
